public class Message {
    private String sentence;          // sentence
    private final String name;              // name
    private final String chatlist;          // chat list
    private final String time;              // time

    public Message(String chatlist, String name, String sentence, String time) {
        this.sentence = sentence;
        this.name = name;
        this.chatlist = chatlist;
        this.time = time;
    }

    public String getSentence() {
        return sentence;
    }

    public String getName() {
        return name;
    }

    public String getChatlist() {
        return chatlist;
    }

    public String getTime() {
        return time;
    }

    public void setSentence(String sentence) {
        this.sentence = sentence;
    }

    public String toString() {
        return String.format("%s,%s,%s", getTime(), getName(), getSentence());
    }
}
