import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;

/*
This method read the user info data
input: the filename of the user info
output: The array contains all the username
 */

public class ReadUserName {
    private String filename;
    private ArrayList<String> user = new ArrayList<>();

    public ReadUserName(String filename) {
        this.filename = filename;
    }

    public ArrayList readUsername () throws IOException {
        ArrayList<String> content = new ArrayList<>();
        ArrayList<String> userName = new ArrayList<>();
        String[] word;
        String name;

        try (BufferedReader bfr = new BufferedReader(new FileReader(filename))) {
            String line = bfr.readLine();
            while (line != null) {
                content.add(line);
                line = bfr.readLine();
            }
            bfr.close();

            for (int i = 0; i < content.size(); i++) {
                word = content.get(i).split(",");
                name = word[0];
                userName.add(name);
            }
        }
        return userName;
    }

    public ArrayList readFile () throws IOException {
        ArrayList<String> content = new ArrayList<>();
        ArrayList<String> chatName = new ArrayList<>();
        String[] word;
        String name;

        try (BufferedReader bfr = new BufferedReader(new FileReader(filename))) {
            String line = bfr.readLine();
            while (line != null) {
                content.add(line);
                line = bfr.readLine();
            }
            bfr.close();

            for (int i = 0; i < content.size(); i++) {
                word = content.get(i).split(",");
                name = word[1];
                chatName.add(name);
            }
        }
        return chatName;
    }
}
