import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Collections;

public class WriteFile {
    private int index;
    private String fileName;
    private String myUserName;
    private ArrayList<String> userName;
    private String groupName;

    public WriteFile(int index, String fileName, String myUserName, ArrayList userName, String groupName) {
        this.index = index;
        this.fileName = fileName;
        this.myUserName = myUserName;
        this.userName = userName;
        this.groupName = groupName;
    }

    public void Write() {
        try (BufferedWriter bfw = new BufferedWriter(new FileWriter(fileName, true))) {
            Collections.sort(userName);
            String allUsers = userName.get(0);
            for (int i = 1; i < userName.size(); i++) {
                allUsers = allUsers + "," + userName.get(i);
            }

            String message = index + "!" + allUsers + "!" + getTime() + "!" + groupName + "\n";
            bfw.write(message);
            bfw.close();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public String getTime () {
        long retryDate = System.currentTimeMillis();

        String curTime = String.valueOf(new Timestamp(retryDate));

        return curTime;
    }
}
